package com.bocloud.ims.interfaces.resource.azure.slb;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.slb.InboundNatRule;

public interface InboundNatRuleService {

    BocloudResult<GridBean<InboundNatRule>> list(Pager pager, RequestContext context);

    BocloudResult<InboundNatRule> detail(Long id, RequestContext context);

    BocloudResult<Void> create(InboundNatRule entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

}
